MicrosoftTagTypes
Date: 2016-12-04

net.htmlparser.jericho

## Class MicrosoftTagTypes

- java.lang.Object
- - net.htmlparser.jericho.MicrosoftTagTypes

- Deprecated.
  Use the tag types defined in `MicrosoftConditionalCommentTagTypes` instead.

      @Deprecated
      public final class MicrosoftTagTypes
      extends java.lang.Object

  Contains tag types recognised exclusively by Microsoft® Internet Explorer.

  The tag type defined in this class is not registered by default.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StartTagType` | `DOWNLEVEL_REVEALED_CONDITIONAL_COMMENT` Deprecated. Use `MicrosoftConditionalCommentTagTypes.DOWNLEVEL_REVEALED_IF` and `MicrosoftConditionalCommentTagTypes.DOWNLEVEL_REVEALED_ENDIF` instead.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `defines(TagType tagType)` Deprecated. Indicates whether the specified tag type is defined in this class.
    `static void` | `deregister()` Deprecated. Deregisters all of the tag types defined in this class at once.
    `static boolean` | `isConditionalCommentEndifTag(Tag tag)` Deprecated. Indicates whether the specified tag is a downlevel-revealed conditional comment "endif" tag (`<![endif]>`).
    `static boolean` | `isConditionalCommentIfTag(Tag tag)` Deprecated. Indicates whether the specified tag is a downlevel-revealed conditional comment "if" tag (`<![if ... ]>`).
    `static void` | `register()` Deprecated. Registers all of the tag types defined in this class at once.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DOWNLEVEL_REVEALED_CONDITIONAL_COMMENT

          @Deprecated
          public static final StartTagType DOWNLEVEL_REVEALED_CONDITIONAL_COMMENT

      Deprecated. Use `MicrosoftConditionalCommentTagTypes.DOWNLEVEL_REVEALED_IF` and `MicrosoftConditionalCommentTagTypes.DOWNLEVEL_REVEALED_ENDIF` instead.
      The tag type given to a Microsoft® downlevel-revealed conditional comment (`<![if ... ]>` | `<![endif]>`).

      The only valid names for tags of this type are "`![if`" and "`![endif`".

      This start tag type is used to represent both the "if" and "endif" tags. Because the "endif" tag can not be represented by an end tag type (it doesn't start with "`</`"), the parser makes no attempt to match if-endif tag pairs to form elements.

      The `isConditionalCommentIfTag(Tag)` and `isConditionalCommentEndifTag(Tag)` methods provide an efficient means of determining whether a given tag is of the "if" or "endif" variety.

      The expression consituting the condition of an "if" tag can be extracted using the `StartTag.getTagContent()` method. For example, if the variable `conditionalCommentIfTag` represents the tag `<![if !IE]>`, then the expression `conditionalCommentIfTag.getTagContent().toString().trim()` yields the string "`!IE`".

      Properties:

        Property | Value
        --- | ---
        `Description` | Microsoft downlevel-revealed conditional comment
        `StartDelimiter` | `<![`
        `ClosingDelimiter` | `]>`
        `IsServerTag` | `false`
        `NamePrefix` | `![`
        `CorrespondingEndTagType` | `null`
        `HasAttributes` | `false`
        `IsNameAfterPrefixRequired` | `true`

      Example:
        `<![if !IE]>`

  - ### Method Detail

    - #### isConditionalCommentIfTag

          public static boolean isConditionalCommentIfTag(Tag tag)

      Deprecated.
      Indicates whether the specified tag is a downlevel-revealed conditional comment "if" tag (`<![if ... ]>`).
      Parameters:
        `tag` - the `Tag` to test.
      Returns:
        `true` if the specified tag is a conditional comment "if" tag, otherwise `false`.

    - #### isConditionalCommentEndifTag

          public static boolean isConditionalCommentEndifTag(Tag tag)

      Deprecated.
      Indicates whether the specified tag is a downlevel-revealed conditional comment "endif" tag (`<![endif]>`).
      Parameters:
        `tag` - the `Tag` to test.
      Returns:
        `true` if the specified tag is a conditional comment "endif" tag, otherwise `false`.

    - #### register

          public static void register()

      Deprecated.
      Registers all of the tag types defined in this class at once.

      The tag types must be registered before the parser will recognise them.

    - #### deregister

          public static void deregister()

      Deprecated.
      Deregisters all of the tag types defined in this class at once.

    - #### defines

          public static boolean defines(TagType tagType)

      Deprecated.
      Indicates whether the specified tag type is defined in this class.
      Parameters:
        `tagType` - the `TagType` to test.
      Returns:
        `true` if the specified tag type is defined in this class, otherwise `false`.